Package org.astrogrid.samp.xmlrpc

# Interface SampXmlRpcServerFactory

All Known Implementing Classes:
  `ApacheServerFactory`, `InternalServerFactory`, `RpcLoggingInternalServerFactory`, `XmlLoggingInternalServerFactory`

public interface SampXmlRpcServerFactory
Defines a factory for SampXmlRpcServer instances. In most cases it will make sense to implement this class so that a single server instance is constructed lazily, and the same instance is always returned from the `getServer()` method. This means that the same server can be used for everything that requires an XML-RPC server, thus keeping resource usage down. Users of this class must keep this implementation model in mind, so must not assume that a new instance is returned each time. But if an implementation wants to return a new instance each time for some reason, that is permissible.

Since:
  22 Aug 2008
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`SampXmlRpcServer`
`getServer()`
Returns an XML-RPC server implementation.

## Method Details

### getServer

SampXmlRpcServer getServer() throws IOException
Returns an XML-RPC server implementation. Implementations are permitted, but not required, to return the same object from different calls of this method.

Returns:
  new or re-used server
Throws:
  `IOException`